---
title: MediaKeyStatusMap
slug: Web/API/MediaKeyStatusMap
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - NeedsContent
  - Reference
---
<p>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</p>

<p>The <code><strong>MediaKeyStatusMap</strong></code> interface of the <a href="/en-US/docs/Web/API/EncryptedMediaExtensions_API">EncryptedMediaExtensions API</a> is a read-only map of media key statuses by key IDs.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaKeyStatusMap.size")}} {{readonlyinline}}</dt>
 <dd>Returns the number of key/value pars in the status map.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("MediaKeyStatusMap.entries()")}} {{readonlyinline}}</dt>
 <dd>Returns a new <code>Iterator</code> object containing an array of <code>[key, value]</code> for each element in the status map, in insertion order.</dd>
 <dt>{{domxref("MediaKeyStatusMap.forEach()","MediaKeyStatusMap.forEach(callback[, argument])")}} {{readonlyinline}}</dt>
 <dd>Calls <code>callback</code> once for each key-value pair in the status map, in insertion order. If <code>argument</code> is present it will be passed to the callback.</dd>
 <dt>{{domxref("MediaKeyStatusMap.get()")}} {{readonlyinline}}</dt>
 <dd>Returns the value associated with the given key, or <code>undefined</code> if there is none.</dd>
 <dt>{{domxref("MediaKeyStatusMap.has()")}} {{readonlyinline}}</dt>
 <dd>Returns a boolean asserting whether a value has been associated with the given key.</dd>
 <dt>{{domxref("MediaKeyStatusMap.keys()")}} {{readonlyinline}}</dt>
 <dd>Returns a new <code>Iterator</code> object containing keys for each element in the status map, in insertion order.</dd>
 <dt>{{domxref("MediaKeyStatusMap.values()")}} {{readonlyinline}}</dt>
 <dd>Returns a new <code>Iterator</code> object containing values for each element in the status map, in insertion order.</dd>
 <dt>{{domxref("MediaKeyStatusMap.[@@iterator]()")}} {{readonlyinline}}</dt>
 <dd>Returns a new <code>Iterator</code> object containing an array of <code>[key, value]</code> for each element in the status map, in insertion order.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#mediakeystatusmap-interface', 'MediaKeyStatusMap')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap")}}</p>
</div>
